Skip to main content

Get properties of a user

GET 

/nevisidm/api/core/v1/:clientExtId/users/:extId/properties

Since: 2.79.0

Required permission(s): AccessControl.UserView,AccessControl.PropertyView,AccessControl.PropertyValueView,AccessControl.PropertyAllowedValueView

Returns all properties of the user with the given external ID, as an object of key-value pairs. If there are no properties found, an empty object is returned.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    extId stringrequired

    External ID of the user.

    Example: user-123

Responses

User properties retrieved successfully

Schema
    _classifications object

    The defined classifications of the property.

    property name* string[]
  • Array [
  • string

  • ]
Loading...